<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />

    <application
        android:name=".KchatApplication"
        android:allowBackup="true"
        android:appComponentFactory="androidx.core.app.CoreComponentFactory"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/Theme.KChatAndroid"
        android:usesCleartextTraffic="true"
        tools:targetApi="31">
        <activity
            android:name=".ui.activity.RenameActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.LaunchActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activity.RegisterActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.SearchActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.MainActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.LoginActivity"
            android:exported="false"
            android:theme="@style/RemoveYellowBg"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".ui.activity.ContactsDetailActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ChatDetailActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ChatActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ContactUpdatesActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ApproveDetailActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ApproveContactRequestActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.MessageActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ApplyAddFriendActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.FriendListActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ServiceDetailActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ProfileDetailActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.SetRemarkActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.DataSettingActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ApplyFriendsDetailActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.SearchFriendsActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.AddFriendsActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.ProfileActivity"
            android:exported="false" />

        <service android:name=".service.WebSocketService" />
    </application>

</manifest>